pymol (1.7.2.1-2) unstable; urgency=medium

  * debian/patches/21_fix_png_batch_mode.patch: Removed, broke functionality. 

 -- Michael Banck <mbanck@debian.org>  Sat, 13 Jun 2015 15:38:14 +0200

pymol (1.7.2.1-1) unstable; urgency=low

  * New upstream point release.
  * debian/patches/31_fix_format-security.patch: New patch, fixes FTBFS bug
    with -Werror=format-security (closes: #759860).

 -- Michael Banck <mbanck@debian.org>  Sun, 14 Sep 2014 16:35:14 +0200

pymol (1.7.1.3-1) unstable; urgency=low

  * New upstream point release.
  * debian/patches/30_pymol_data_path.patch: Removed: applied upstream.

 -- Michael Banck <mbanck@debian.org>  Wed, 21 May 2014 17:54:04 +0200

pymol (1.7.0.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/30_pymol_data_path.patch: New patch, uses PYMOL_DATA instead
    of PYMOL_PATH environment variable for data file location.

 -- Michael Banck <mbanck@debian.org>  Mon, 20 Jan 2014 17:43:21 +0100

pymol (1.6.0.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replaced the obsolete tk8.4-dev by tk-dev in build dependencies.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 03 Oct 2013 20:45:06 +0400

pymol (1.6.0.0-1) unstable; urgency=low

  * New upstream prelease.
    - Fixes session saving/loading (closes: #668586).

  [ Michael Banck ]
  * debian/patches/11_fix__cmd_import.patch: Removed, no longer needed.
  * debian/patches/26_subversion_updates.patch: Likewise.
  * debian/pymol.install: Install data and scripts directories under
    /usr/share/pymol, as intended by upstream.
  * debian/pymol.launch.in: Updated for new data path location.
  * debian/patches/05_examples_data_path.patch: Removed, no longer needed.
  * debian/patches/09_chempy_data_path.patch: Likewise.
  * debian/patches/13_activate_vmd_plugin.patch: Likewise.
  * debian/patches/17_cmyk_png_data_path.patch: Likewise.
  * debian/patches/19_blosum_matrix_path.patch: Likewise.
  * debian/patches/20_output_license_terms.patch: Likewise.
  * debian/patches/25_ignore_setup_clean_errors.patch: Likewise.
  * debian/rules (override_dh_auto_clean): Do not abort on failure and remove
  * redundant call to setup.py.
  * debian/patches/22_fix_pymol_import.patch: Change the value of $PYMOL_PATH
    to the one found by find_module('pymol').
  * debian/patches/28_no_data_install_in_python_path.patch: New patch, skips
    installation of the data (and examples, test) directories into the pymol
    path.
  * debian/patches/29_fix_path_to_splash.patch: New patch, changes search path
    for splash image from $PYMOL_PATH to $PYMOL_DATA.
  * debian/patches/series: Disable 24_autodock_plugin.patch for now, as it does
    work currently.
  * debian/control (Standards-Version): Bumped to 3.9.4.

  [ Daniel Leidert ]
  * debian/control (Uploaders): Removed myself.
    (Depends): Added python-numpy (LP: #1076104).
    (Suggests): Added chemical-mime-data.
  * debian/gnome-pymol.desktop: Dropped unused file.
  * debian/pymol.desktop (MimeType, Exec): Additions (LP: #1087265).
  * debian/pymol.launch.in: Environmental path variables (LP: #925445).
  * debian/upstream: Minor additions.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Thu, 08 Aug 2013 20:32:10 +0200

pymol (1.5.0.1-2) unstable; urgency=low

  * debian/patches/26_subversion_updates.patch: New patch, includes the fixes
    from subversion since 1.5.0.1 up to revision 3996.
  * debian/upstream: New file.
  * debian/pymolRef.tex: Updated with latest version from
    http://www.pymolwiki.org/index.php/CheatSheet.

 -- Michael Banck <mbanck@debian.org>  Wed, 02 May 2012 18:11:37 +0200

pymol (1.5.0.1-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/patches/13_activate_vmd_plugin.patch: Refreshed. 
  * debian/patches/19_blosum_matrix_path.patch: Refreshed.
  * debian/patches/23_bts576210_FTBFS_ia64.patch: Removed, no longer needed.
  * debian/patches/25_ignore_setup_clean_errors.patch: New patch, includes a
    failure if setup.py is run with "clean" as argument. 
  * debian/rules (override_dh_clean): Remove some new leftover files.
  * debian/patches/patches/13_activate_vmd_plugin.patch: Revert some changes
    since 1.4.1 which make the molfile plugin fail to build.

 -- Michael Banck <mbanck@debian.org>  Sun, 19 Feb 2012 21:45:17 +0100

pymol (1.4.1-3) unstable; urgency=low

  * debian/control (Build-Depends): Dropped dpatch in favour of source
    format 3.0 (quilt).
  * debian/pymol.pyremove: Added. Remove web/*__init__.py to fix file conflict
    (closes: #650756).
  * debian/rules: Remove dpatch addon call. Disable verbose output.
    (override_dh_clean): Don't remove test/pymol-test; quilt will do.
  * debian/README.source: Dropped obsolete file.
  * debian/source/lintian-overrides: Ditto.
  * debian/patches/02_test-suite.dpatch: Renamed to
    debian/patches/02_test-suite.patch.
  * debian/patches/03_povray.dpatch: Renamed to
    debian/patches/03_povray.patch.
  * debian/patches/05_examples_data_path.dpatch: Renamed to
    debian/patches/05_examples_data_path.patch.
  * debian/patches/09_chempy_data_path.dpatch: Renamed to
    debian/patches/09_chempy_data_path.patch.
  * debian/patches/11_fix__cmd_import.dpatch: Renamed to
    debian/patches/11_fix__cmd_import.patch.
  * debian/patches/13_activate_vmd_plugin.dpatch: Renamed to
    debian/patches/13_activate_vmd_plugin.patch.
  * debian/patches/17_cmyk_png_data_path.dpatch: Renamed to
    debian/patches/17_cmyk_png_data_path.patch.
  * debian/patches/19_blosum_matrix_path.dpatch: Renamed to
    debian/patches/19_blosum_matrix_path.patch.
  * debian/patches/20_output_license_terms.dpatch: Renamed to
    debian/patches/20_output_license_terms.patch.
  * debian/patches/21_fix_png_batch_mode.dpatch: Renamed to
    debian/patches/21_fix_png_batch_mode.patch.
  * debian/patches/22_fix_pymol_import.dpatch: Renamed to
    debian/patches/22_fix_pymol_import.patch.
  * debian/patches/23_bts576210_FTBFS_ia64.dpatch: Renamed to
    debian/patches/23_bts576210_FTBFS_ia64.patch.
  * debian/patches/24_autodock_plugin.dpatch: Renamed to
    debian/patches/24_autodock_plugin.patch.
  * debian/patches/00list: Renamed to debian/patches/series and adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 04 Dec 2011 22:53:06 +0100

pymol (1.4.1-2) unstable; urgency=low

  * For whatever reason (dh compat level or dh_python2 usage) dependencies
    for all .so files are now calculated (closes: #611436).
  * debian/compat: Increased dh compatibility level to 7.
  * debian/control: Added X-Python-Version and XB-Python-Version field.
    (Standards-Version): Bumped to 3.9.2.
    (Build-Depends): Added dpatch version for debhelper addon.
    spelling-error-in-description
    (Vcs-Browser): Point to real location.
    (Description): Fixed spelling-error-in-description.
  * debian/pymol.docs: Added.
  * debian/pymol.manpages: Ditto.
  * debian/rules: Rewritten for debhelper 7. Make use of python2 and dpatch
    debhelper addons. Install shader files (closes: #644394).
  * debian/source/format: Added for source format 3.0.
  * debian/source/lintian-overrides: Temporarily added as long as we stay with
    dpatch here.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 30 Nov 2011 21:51:42 +0100

pymol (1.4.1-1) unstable; urgency=low

  * New upstream release.

  [ Daniel Leidert ]
  * debian/watch: Adjusted to catch the re-introduced tarball download.

 -- Michael Banck <mbanck@debian.org>  Sat, 27 Aug 2011 19:17:05 +0200

pymol (1.4~beta1-1) experimental; urgency=low

  [ Michael Banck ]
  * New upstream beta release.
  * debian/patches/13_activate_vmd_plugin: Refreshed.
  * debian/patches/18_enable_gl_shaders.dpatch: Removed, no longer needed.
  * debian/control (Build-Depends): Added libglew1.5-dev.

 -- Michael Banck <mbanck@debian.org>  Sun, 17 Apr 2011 00:26:31 +0200

pymol (1.3r2-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/13_activate_vmd_plugin: Removed, no longer needed.
  * debian/patches/19_blosum_matrix_path.dpatch: Refreshed.
  * debian/patches/24_autodock_plugin.dpatch: New patch, includes the 
    autodock plugin from Daniel Seeliger.
  * debian/patches/00list: Adjusted.
  * debian/control (Standards-Version): Bumped to 3.9.1.
  * debian/control (Depends): Added ${misc:Depends}.

 -- Michael Banck <mbanck@debian.org>  Sat, 16 Apr 2011 23:12:01 +0200

pymol (1.2r2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/23_bts576210_FTBFS_ia64.dpatch
    - fix a FTBFS on ia64, working aroung a bug in GCC; thanks to Jakub Wilk for
      the report and patch; Closes: #576210

 -- Sandro Tosi <morph@debian.org>  Mon, 10 May 2010 09:34:51 +0200

pymol (1.2r2-1) unstable; urgency=low

  * New upstream release.  This upload is dedicated to the pymol founder and
    lead developer Warren DeLano, who passed away on November 3rd, 2009.

  [ Daniel Leidert (dale) ]
  * debian/patches/18_enable_gl_shaders.dpatch: Refreshed.

  [ Michael Banck ]
  * debian/patches/21_fix_png_batch_mode.dpatch: New patch, fixes PNG
    generation in batch mode, by Vincent Fourmond (closes: #560412).
  * debian/patches/22_fix_pymol_import.dpatch: New patch, fixes importing of
    pymol module from python (closes: #556878).

 -- Michael Banck <mbanck@debian.org>  Sun, 27 Dec 2009 18:55:26 +0100

pymol (1.2r1-3) unstable; urgency=low

  * debian/pymol.launch.in: Don't execute the package (closes: #550721).
    Otherwise package execution fails with python 2.6 and 3.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 04 Nov 2009 00:17:15 +0100

pymol (1.2r1-2) unstable; urgency=low

  * debian/control (Build-Depends): Added python for python.mk.
  * debian/pymol.launch.in: Replace $* with $@ and add a construct to replace
    the test (closes: #549268).
  * debian/rules: Include python.mk.
    (install): Use --install-layout=deb via py_setup_install_args (closes:
    #547871).
  * debian/patches/02_test-suite.dpatch: Adjusted.
    - test/pymol-test: Include /usr/lib/pythonX.Y/dist-packages too.
  * debian/patches/20_output_license_terms.dpatch: Added.
    - Show the Debian package copyright file when using 'Output License
      Terms', which fully reproduces the LICENSE file.
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sat, 03 Oct 2009 01:04:21 +0200

pymol (1.2r1-1) unstable; urgency=low

  * New upstream release.

  [ Michael Banck ]
  * debian/patches/06_remove_shebang.dpatch: Removed, applied upstream.
  * debian/patches/13_activate_vmd_plugin.dpatch: Updated.
  * debian/patches/14_script_not_executable.dpatch: Removed, applied upstream.
  * debian/patches/16_pymem_del.dpatch: Likewise.
  * debian/patches/17_cmyk_png_data_path.dpatch: Updated.
  * debian/pymol.launch.in: Add quotes around $* to not fail on filenames with
    whitespace in them (closes: #506967).
  * debian/rules (clean): Removed bashism (closes: #535410).
  * debian/control (Homepage): Updated.
  * debian/control (Uploaders): Removed Li Daobing.
  * debian/patches/18_enable_gl_shaders.dpatch: New patch, enable OpenGL
    shaders, taken from upstream.
  * debian/pymol.launch.in: Do not add $* to command line if empty, avoiding a
    traceback on startup.
  * debian/rules (GCC43_ICES_HERE): Removed.
  * debian/control (Build-Depends): Removed g++-4.2 on arm and armel 
    (closes: #533794).
  * debian/control (Build-Depends): Replaced glutg3-dev with freeglut3-dev
    (closes: #543702).

  [ Daniel Leidert ]
  * debian/control: Added DM-Upload-Allowed field.
    (Standards-Version): Bumped to 3.8.3.
    (Vcs-Svn): Fixed vcs-field-uses-not-recommended-uri-format.
    (Description): Fixed typo (thanks to lintian).
  * debian/pymol-32.xpm: Renamed to debian/pymol.xpm.
  * debian/pymol.applications,
    debian/gnome-pymol.keys,
    debian/gnome-pymol.mime: Dropped. This is for GNOME<=2.4.
  * debian/pymol.dirs,
    debian/pymol.install: Added for debhelper-based build system.
  * debian/pymol.doc-base: Added to register reference card.
  * debian/pymol.menu (icon): Fixed after rename.
  * debian/pymol.launch.in: Fixed PYMOL_PATH (closes: #529417). Make this
    self-detecting (closes: #516040).
  * debian/rules: Reworked to be more debhelper-like and clean. Permission
    fixes have been dropped (fixed upstream).
  * debian/README.source: Added to comply to policy.
  * debian/patches/04_Rules.make.dpatch: Dropped.
  * debian/patches/05_examples_data_path.dpatch: Adjusted to use PYMOL_DATA.
  * debian/patches/19_blosum_matrix_path.dpatch: Added. 
    - modules/pymol/fitting.py: Search for the matrices in the correct path
      (closes: #511810).

 -- Michael Banck <mbanck@debian.org>  Sat, 19 Sep 2009 13:43:04 +0200

pymol (1.1-1) unstable; urgency=low

  * New upstream release.

  [ Daniel Leidert (dale) ]
  * debian/control (Uploaders): Added myself.
  * debian/pymol.1: Added basic man-page for pymol (closes: #148399).
  * debian/rules (binary-arch): Install man-page for pymol.
  * debian/patches/11_fix__cmd_import.dpatch: Added a short description based
    on the changelog entry to satisfy lintian.

  [ Michael Banck ]
  * debian/patches/17_cmyk_png_data_path.dpatch: Fix the location lookup for
    cmyk.png (closes: #490067).
  * debian/pymolRef.tex: New file, taken from pymol community wiki
    http://www.pymolwiki.org.
  * debian/copyright: Add GPLv2 notice for debian/pymolRef.tex.
  * debian/control (Build-Depends): Added texlive-latex-base. Replaced
    python-numeric with python-numpy.
  * debian/rules (build): Run pdflatex to create reference card from
    debian/pymolRef.tex.
  * (install): Copy it to $(BUILD_DIR)/usr/share/doc/pymol/pymol-ref-card.pdf.
  * (clean): Remove pdflatex created files.
  * debian/patches/12_align_matrix.dpatch: Removed, applied upstream.
  * debian/patches/15_fix_scripting_mode.dpatch: Likewise.
  * debian/patches/13_activate_vmd_plugin.dpatch: Refreshed.
  * debian/rules (install): Create $(BUILD_DIR)/usr/share/doc/pymol.
  * debian/control (Description): Updated.
  * debian/README.Debian: Removed entry from 19 May 2002.

 -- Michael Banck <mbanck@debian.org>  Wed, 23 Jul 2008 03:42:15 +0200

pymol (1.1~beta3-3) unstable; urgency=low

  [ LI Daobing ]
  * debian/pymol.desktop: fix lintian info
    desktop-entry-contains-encoding-key.

  [ Michael Banck ]
  * debian/control (Build-Depends): Added g++-4.2 on arm, armel.
  * debian/rules: Use g++-4.2 on arm, armel; by Adeodato Simo; 
    closes: #478034.

 -- Michael Banck <mbanck@debian.org>  Sat, 26 Apr 2008 16:07:33 +0200

pymol (1.1~beta3-2) unstable; urgency=low

  * debian/patches/16_pymem_del.dpatch: Fix usage of different memory
    APIs; by Barry deFreese; closes: #468989.

 -- Michael Banck <mbanck@debian.org>  Sun, 16 Mar 2008 14:26:06 +0100

pymol (1.1~beta3-1) unstable; urgency=low

  * New upstream prerelease.

  [ Michael Banck ]
  * debian/patches/15_fix_scripting_mode.dpatch: Fix the scripting
    (command-line) mode; by Anders Norgaard; closes: #459644.

  [ LI Daobing ]
  * debian/control:
    - add me to uploaders.
    - bump standards version to 3.7.3, nothing need change.
  * debian/rules: remove build directory and other two files in clean.
    (Closes: #442706)
  * add a new 32x32 xpm icon:
    - debian/pymol-32.xpm: added. (resize from debian/pymol.xpm)
    - debian/rules: install pymol-32.xpm.
    - debian/pymol.menu: use 32x32 xpm icon.
  * debian/rules: don't install empty directory.
  * fix lintian warning: script-not-executable
    - debian/patches/14_script_not_executable.dpatch: added.
    - debian/patches/00list: updated.

 -- Michael Banck <mbanck@debian.org>  Fri, 15 Feb 2008 20:38:42 +0100

pymol (1.0r2-1) unstable; urgency=low

  * New upstream release.

  [ Daniel Leidert ]
  * debian/control: Added Homepage and XS-Vcs-* fields. Added get-orig-source
    target to retrieve source from SVN.
    (Build-Depends): Raised debhelper compat level.
  * debian/pymol.menu (section): Menu section transition.
  * debian/rules: DH_COMPAT is obsolete. Better use debian/compat. Raised
    level to debhelper 5.
  * debian/watch: Fixed. Upstream doesn't provide tarballs anymore, so we
    check their SVN.

  [ Michael Banck ]
  * debian/patches/13_activate_vmd_plugin.dpatch: Build the VMD plugin,
    by Martin Hoefling.
  * debian/control (Maintainer): Change to Debichem Team.

 -- Michael Banck <mbanck@debian.org>  Fri, 12 Oct 2007 15:47:49 +0200

pymol (1.0-1) unstable; urgency=low

  * New upstream release.

  [ Daniel Leidert ]
  * debian/watch: Added.

  [ LI Daobing ]
  * debian/rules: lintian doesn't like "-$(MAKE) clean", see bug#325372

  [ Michael Banck ]
  * debian/README.Debian: Remove link to obsolete manual and mention
    http://www.pymolwiki.org/ as documenation source.
  * debian/rules (dh_installchangelogs): CHANGES got renamed to ChangeLog.
  * debian/rules (dh_installdocs): Include AUTHORS.
  * debian/patches/05_examples_data_path.dpatch: Updated.
  * debian/pymol.launch.in: Remove quotes around $*; closes: #409188.
  * debian/rules (clean): Don't fail if Makefile is not present.
  * debian/patches/12_align_matrix.dpatch: New patch to fix patch for
    align command.  Based on a patch by Charles Plessy and further input
    by Thomas Gaillard; closes: #385550.

 -- Michael Banck <mbanck@debian.org>  Thu,  5 Jul 2007 13:13:00 +0200

pymol (0.98+0.99rc8-1) unstable; urgency=low

  * New upstream release candidate.

  [ Michael Banck ]
  * debian/rules (install): Install builder ring bitmaps into
    /usr/share/pymol/pmg_tk/bitmaps/builder; closes: #422229.
  * debian/patches/09_chempy_data_path.dpatch: Updated.
  * debian/patches/05_examples_data_path.dpatch: Likewise.
  * debian/patches/09_chempy_data_path.dpatch: Updated to fix the
    pathname for the mutagenesis wizard; closes: #410108.

  [ LI Daobing ]
  * debian/pymol.desktop: fix warning for desktop-file-validate.

 -- Michael Banck <mbanck@debian.org>  Tue,  8 May 2007 18:02:59 +0200

pymol (0.98+0.99rc6-2) unstable; urgency=low

  * debian/control (Recommends): Added apbs.
  * Sync with Ubuntu; closes: #379508, #378825.
  * Acknowledge NMU; closes: #380910.

 -- Michael Banck <mbanck@debian.org>  Tue, 26 Sep 2006 00:08:41 +0200

pymol (0.98+0.99rc6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update packate to the last python policy (Closes: 380910):
    + use dh_pysupport.
    + add 11_fix__cmd_import.dpatch to fix an import that does not behaves
      well.
    + adapt the wrapper to the new path's.
  * Bump Standards-Version to 3.7.2.
  * Bump DH_COMPAT to 4.
  * Fix more files that have wrong executable bits set.

 -- Pierre Habouzit <madcoder@debian.org>  Wed, 30 Aug 2006 11:09:00 +0200

pymol (0.98+0.99rc6-1ubuntu1) edgy; urgency=low

  * Re-merge with Debian

 -- Barry deFreese <bddebian@comcast.net>  Sun, 23 Jul 2006 17:39:15 -0400

pymol (0.98+0.99rc6-1) unstable; urgency=low

  * New upstream release candidate.
  * debian/patches/02_test-suite.dpatch: Resync.
  * debian/patches/03_povray.dpatch: Likewise.
  * debian/patches/05_examples_data_path.dpatch: Likewise.
  * debian/patches/09_chempy_data_path.dpatch: Likewise.
  * debian/control (Build-Depends): Added libfreetype6-dev.

 -- Michael Banck <mbanck@debian.org>  Fri, 30 Jun 2006 02:05:00 +0200

pymol (0.98-1ubuntu2) dapper; urgency=low

  * Merged existing desktop files and updated to current freedestkop
    standards. Closes Ubuntu #36435

 -- Zygmunt Krynicki <zkrynicki@gmail.com>  Sat, 25 Mar 2006 01:22:38 +0100

pymol (0.98-1ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.
  * Sponsored for Barry DeFreese (Closes: Ubuntu #12487)

 -- Stephan Hermann <sh@sourcecode.de>  Sun, 24 Jul 2005 11:43:59 +0200

pymol (0.98-1ubuntu2) dapper; urgency=low

  * Merged existing desktop files and updated to current freedestkop
    standards. Closes Ubuntu #36435

 -- Zygmunt Krynicki <zkrynicki@gmail.com>  Sat, 25 Mar 2006 01:22:38 +0100

pymol (0.98-1ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.
  * Sponsored for Barry DeFreese (Closes: Ubuntu #12487)

 -- Stephan Hermann <sh@sourcecode.de>  Sun, 24 Jul 2005 11:43:59 +0200

pymol (0.98-1) unstable; urgency=low

  * The 'Fixing Ubunt^W^WPreparing for Python Transition' Release.
  * New upstream release.
  * debian/patches/03_povray.dpatch: Updated.
  * debian/rules (install): Create application-registry directory.
  * debian/patches/02_test-suite.dpatch (pymol-test): Do not
    hardcode python version.
  * debian/pymol.launch: Renamed to ...
  * debian/pymol.launch.in: ... this, and generalize occurances of
    python versions to @PYTHON_VERSION@.
  * debian/rules (debian/pymol.launch): New rule, processing 
    debian/pymol.launch.in.
  * debian/rules (build-stamp): Depend on debian/pymol.launch.

 -- Michael Banck <mbanck@debian.org>  Sun,  3 Jul 2005 12:56:15 +0200

pymol (0.97-3) unstable; urgency=low

  * debian/control (Depends): Use ${python:Depends} instead of
    exlicitely specifying the current default python version.
  * (Build-Depends): Use python-dev and python-numeric rather than
    specific versions.
  * debian/pymol.dirs: Removed.
  * debian/rules (install): Grouped creation of directories together
    and create missing directories under $(BUILD_DIR)/usr/share as 
    well as $(BUILD_DIR)/usr/bin.

 -- Michael Banck <mbanck@debian.org>  Tue,  5 Apr 2005 13:14:24 +0200

pymol (0.97-2) unstable; urgency=low

  * debian/patches/09_chempy_data_path.dpatch: Include relevant chempy
    changes from the old 01_data_path.dpatch and adopt it slightly to
    use CHEMPY_PATH.  Reported by Christoph Scheurer.
  * debian/pymol.launch: Use $CHEMPY_PATH instead of $CHEMPY_DATA_PATH. 

 -- Michael Banck <mbanck@debian.org>  Sat,  8 Jan 2005 15:50:45 +0100

pymol (0.97-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/10_png_includes: Dropped, included upstream.
  * debian/patches/00list (10_png_includes.dpatch): Removed.
  * debian/control (Build-Depends): Added python; closes: #261040.
  * debian/pymol.launch (PYMOL_PATH): New environment variable to work
    around upstream breakage for the time being.

 -- Michael Banck <mbanck@debian.org>  Fri,  6 Aug 2004 03:02:32 +0200

pymol (0.95-1) unstable; urgency=low

  * New upstream release.
  * (layer0/MyPNG.c): Reorder #includes in MyPNG.c.
    (10_png_includes.dpatch)
  * debian/patches/00list (10_png_includes.dpatch): Added.
  * debian/control (Build-Depends): Drop gcc-2.95 again, #229080 does
    not show up anymore with th current gcc.
  * debian/rules (CC): Removed.

 -- Michael Banck <mbanck@debian.org>  Wed,  7 Apr 2004 21:34:02 +0200

pymol (0.93-5) unstable; urgency=low

  * debian/control (Build-Depends): Really only depend on gcc-2.95 on
    ia64 and hppa; closes: #235709.
  * debian/rules (PYMOL_PATH): New variable, to make sure the test-
    suite is able to find its data files. 

 -- Michael Banck <mbanck@debian.org>  Tue,  2 Mar 2004 15:20:32 +0100

pymol (0.93-4) unstable; urgency=low

  * debian/rules: Only set CC=2.95 if not building for ia64 or hppa.
  * debian/control: Do not Build-Depend on gcc-2.95 on ia64 and hppa;
    closes: #235658.

 -- Michael Banck <mbanck@debian.org>  Mon,  1 Mar 2004 23:04:21 +0100

pymol (0.93-3) unstable; urgency=low

  * debian/control (Build-Depends): Revert to gcc-2.95 to evade segmen-
    tation faults when rendering lines with binaries built with gcc-3.x.
  * debian/rules: Export CC=gcc-2.95; closes: #229080.

 -- Michael Banck <mbanck@debian.org>  Sun, 22 Feb 2004 11:12:13 +0100

pymol (0.93-2) unstable; urgency=low

  * Fix environment-variable handling in modules/pymol/wizards/
    mutagenesis.py; closes: #225590.
    (09_chempy_data_path.dpatch)
  * 05_examples_data_path.dpatch: Updated to find 1hpv.pdb for the
    'Scripted Animation' demo.

 -- Michael Banck <mbanck@debian.org>  Sat,  3 Jan 2004 23:08:13 +0100

pymol (0.93-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/00list (01_data_path.dpatch): Dropped, fixed
    upstream.
    (07_setup.py._opengl-libs.dpatch): Likewise.
    (08_setup.py_missing_file.dpatch): Likewise.
  * debian/pymol.launch: Changed $PYMOL_DATA_PATH to $PYMOL_DATA, in
    order to follow upstream.

 -- Michael Banck <mbanck@debian.org>  Sun,  2 Nov 2003 12:06:10 +0100

pymol (0.90-2) unstable; urgency=low

  * 01_data_path.dpatch:
    - Factor out examples/-directory into 05_examples_data_path.dpatch.
    - Factor out patch for modules/chempy/cex.py into
      06_remove_shebang.dpatch.
  * debian/pymol.launch: Pass command-line arguments to pymol through
    the wrapper script, thanks to Gabor Tusnady for reporting this.
  * setup.py (pyogl_libs): Added "GL","GLU","glut" and "png"; 
    closes: #214026. (07_setup.py._opengl-libs.dpatch)
  * (setup Extension): Added layer0/MemoryCache.c.
    (08_setup.py_missing_file.dpatch)

 -- Michael Banck <mbanck@debian.org>  Sat,  4 Oct 2003 21:54:58 +0200

pymol (0.90-1) unstable; urgency=low

  * 02_test-suite.dpatch: Updated for python2.3, thanks to Matt Kraai;
    closes: #207706, #207711
  * 04_Rules.make.dpatch: Activated
  * debian/rules: Remove Rules.make linking/removing, handled by
    dpatch now

 -- Michael Banck <mbanck@debian.org>  Mon,  1 Sep 2003 19:16:02 +0200

pymol (0.90-0.1) unstable; urgency=low

  * NMU
  * New upstream release.
  * Update for python2.3 (closes: #206302).

 -- Matthias Klose <doko@debian.org>  Thu, 28 Aug 2003 21:04:16 +0200

pymol (0.88-1) unstable; urgency=low

  * New upstream release; closes: #196159
  * debian/pymol.menu: Moved menu entry from Math to Science section
  * modules/pymol/povray.py: Fixed command-line again
  * debian/control, debian/rules: Switch to dpatch

 -- Michael Banck <mbanck@debian.org>  Mon, 16 Jun 2003 18:16:41 +0200

pymol (0.86-3) unstable; urgency=low

  * renamed said hacked pymol script to test/pymol-test
  * debian/rules: make test/pymol-test executable
  * modules/chempy/cex.py: Removed !# from top, this is no script
    as far as pymol is concerned

 -- Michael Banck <mbanck@debian.org>  Mon, 13 Jan 2003 17:36:24 +0100

pymol (0.86-2) unstable; urgency=low

  * test/run: Fixed test-suite to import the pymol modules under
    debian/pymol by providing a hacked pymol script in test/

 -- Michael Banck <mbanck@debian.org>  Mon, 13 Jan 2003 14:36:48 +0100

pymol (0.86-1) unstable; urgency=low

  * New upstream release; closes: #175881
     - Patch for pmw got applied upstream; closes: #160584
     - Hacked around $PYMOL_PATH once more in various places
     - Followed Upstream's layout of the data a bit by using
       /usr/share/pymol and /usr/share/chempy along with their
       subdirectories respectively
  * test/run: display the diff in case the test failed
  * debian/rules: Use setup.py in build: and clean: target now
  * debian/control: Build with libpng12-0-dev now

 -- Michael Banck <mbanck@debian.org>  Mon, 13 Jan 2003 01:16:35 +0100

pymol (0.82-2) unstable; urgency=low

  * Switched to python-2.2; closes: #158931
  * modules/pymol/povray.py: Changed PovRay-command
    from x-povray to povray; closes: #151190
  * debian/control: Bumped Standards-Version to 3.5.6.1

 -- Michael Banck <mbanck@debian.org>  Mon, 16 Sep 2002 01:11:57 +0200

pymol (0.82-1) unstable; urgency=low

  * New upstream release
  * Included pymol.xpm icon for menu-system,
    fixing the menu entry; closes: #148400
  * debian/control: Removed the Suggestion of pymol-doc for now as
    the manual is out of date, documented its website in README.Debian
    instead. Still no manpage, sorry
  * Included splash.png in /usr/share/pymol and changed
    modules/pymol/invocation.py accordingly
  * debian/rules: Triggered the test-run
  * modules/pmg_tk/Demo.py: Changed all cmd.load to look for the
    .pdb-files in /usr/share/pymol/demo and installed those files
    there; closes: #148153, #150070
  * debian/control: Trimmed Build-Depends:

 -- Michael Banck <mbanck@debian.org>  Fri, 21 Jun 2002 00:45:18 +0200

pymol (0.80-3) unstable; urgency=low

  * Actually compile shared libraries with -fPIC this time

 -- Michael Banck <mbanck@debian.org>  Sat, 25 May 2002 13:08:19 +0200

pymol (0.80-2) unstable; urgency=low

  * Suggests: pymol-doc now
  * Build shared libraries with -fPIC; closes: #148118

 -- Michael Banck <mbanck@debian.org>  Sat, 25 May 2002 09:35:51 +0200

pymol (0.80-1) unstable; urgency=low

  * Initial Release; closes: #146024
  * Moved data files to /usr/share/pymol
  * Removed need for environment variables during execution, hardcoding
    the paths for the moment
  * Added a link to undocumented.1 for pymol.1 for the moment

 -- Michael Banck <mbanck@debian.org>  Sun, 19 May 2002 15:56:00 +0200
